]> arthur.barton.de Git - bup.git/blobdiff - cmd/on--server-cmd.py
bup_rm: take opts as individual arguments
[bup.git] / cmd / on--server-cmd.py
index a6f3e2188719d7c9e922f03e07c2a4c3ba33046b..cdfd44113c352e3560a521e97d7e915344b7ee07 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys, os, struct
 from bup import options, helpers